<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Charts extends Smart_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function __construct()
	{
		 parent::__construct();
		 
	} 
	//chart customer
	public function charts_customer()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("count(m_customer.id) as total")
				->where('day(FROM_UNIXTIME(created_on))',$i)
				->where('MONTH(FROM_UNIXTIME(created_on))',$bulan)
				->where('Year(FROM_UNIXTIME(created_on))',$year)
				->get('customer')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	} 
	//chart creator
	public function charts_creator()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("count(m_creator.id) as total")
				->where('day(FROM_UNIXTIME(created_on))',$i)
				->where('MONTH(FROM_UNIXTIME(created_on))',$bulan)
				->where('Year(FROM_UNIXTIME(created_on))',$year)
				->get('creator')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	
	//chart charts_view
	public function charts_view()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("count(m_nft_views.id) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->get('nft_views')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	//chart charts_likes
	public function charts_likes()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("count(m_nft_like.id) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->get('nft_like')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	//chart charts_watchlist
	public function charts_watchlist()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("count(m_nft_watch.id) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->get('nft_watch')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	
	//chart charts_publish
	public function charts_publish()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("sum(m_creator_history.total) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->where('reason','publish fee')
				->get('creator_history')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	//chart charts_reward_creator
	public function charts_reward_creator()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("sum(m_creator_history.total) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->where('reason','reward creator watch')
				->get('creator_history')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	
	//chart charts_airdrop
	public function charts_aidrop()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("sum(m_creator_history.total) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->where('reason','reward airdrop')
				->get('creator_history')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	
	//chart charts_airdrop_customers
	public function charts_airdrop_customers()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("sum(m_customer_history.total) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->where('reason','reward airdrop')
				->get('customer_history')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	
	//chart charts_customers_creator
	public function charts_customers_creator()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("sum(m_customer_history.total) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->where('reason','reward creator watch')
				->get('customer_history')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
	
	//chart charts_customers_system
	public function charts_customers_system()
	{
		if($this->input->is_ajax_request() && $this->input->post())
		{
			$year = $this->input->post('tahun',true);
			$bulan = $this->input->post('bulan',true);
			$bulan = intval($bulan);
			$mm = cal_days_in_month(CAL_GREGORIAN,$bulan,$year);
			$out = array();
			$bulans = array();
			for($i=1;$i<=$mm;$i++)
			{
				$bulans[] = $i;
				$c = $this->db
				->select("sum(m_customer_history.total) as total")
				->where('day(dates)',$i)
				->where('MONTH(dates)',$bulan)
				->where('Year(dates)',$year)
				->where('reason','reward system')
				->get('customer_history')
				->row_array();
				$s = isset($c['total'])?$c['total']:0;
				$out[count($out)] = array("label"=>$i,"value"=>$s);  
				
			}
			$name = "On ".bulan_names(intval($bulan))." ".$year;
			$str = $this->db->last_query();
			//echo $str;
			//exit;
			json(array('error'=>false,'message'=>'Data','security'=>token(),"data"=>$out,"bulan"=>$bulans,"bulans"=>$bulan,'names'=>$name ));
			return;		
		}
		show_404();
	}
}

